# Class CreateDownloadUrlRequest

java.lang.Object
com.databricks.jdbc.model.client.filesystem.CreateDownloadUrlRequest

public class CreateDownloadUrlRequest extends Object
CreateDownloadUrlRequest POJO

## Constructor Summary

Constructors
Constructor
Description
`CreateDownloadUrlRequest(String path)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getPath()`
`int`
`hashCode()`
`void`
`setPath(String path)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreateDownloadUrlRequest

public CreateDownloadUrlRequest(String path)

## Method Details

### getPath

public String getPath()

### setPath

public void setPath(String path)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`